diff -cur scim-bridge-0.4.14/agent/scim-bridge-agent-imcontext.cpp scim-bridge-0.4.14.MAKE.OK/agent/scim-bridge-agent-imcontext.cpp
--- scim-bridge-0.4.14/agent/scim-bridge-agent-imcontext.cpp	2007-11-07 19:48:45.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/agent/scim-bridge-agent-imcontext.cpp	2008-08-11 18:28:36.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <libintl.h>
 
 #include <sys/time.h>
 
diff -cur scim-bridge-0.4.14/agent/scim-bridge-agent-output.cpp scim-bridge-0.4.14.MAKE.OK/agent/scim-bridge-agent-output.cpp
--- scim-bridge-0.4.14/agent/scim-bridge-agent-output.cpp	2007-06-02 12:33:47.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/agent/scim-bridge-agent-output.cpp	2008-08-11 18:30:03.000000000 +0900
@@ -17,9 +17,8 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
+#include <stdlib.h>
 #include <assert.h>
-#include <malloc.h>
 #include <pthread.h>
 #include <stdarg.h>
 #include <stdio.h>
diff -cur scim-bridge-0.4.14/agent/scim-bridge-agent.cpp scim-bridge-0.4.14.MAKE.OK/agent/scim-bridge-agent.cpp
--- scim-bridge-0.4.14/agent/scim-bridge-agent.cpp	2007-12-05 23:54:04.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/agent/scim-bridge-agent.cpp	2008-08-11 18:28:16.000000000 +0900
@@ -197,7 +197,7 @@
 {
     setlocale (LC_ALL, "");
     bindtextdomain (GETTEXT_PACKAGE, SCIM_LOCALEDIR);
-    bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
+    /*     bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8"); */
 }
 
 
diff -cur scim-bridge-0.4.14/client-common/scim-bridge-client-output.c scim-bridge-0.4.14.MAKE.OK/client-common/scim-bridge-client-output.c
--- scim-bridge-0.4.14/client-common/scim-bridge-client-output.c	2007-06-02 12:33:48.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/client-common/scim-bridge-client-output.c	2008-08-11 18:07:38.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <stdarg.h>
 #include <stdio.h>
 #include <string.h>
diff -cur scim-bridge-0.4.14/client-common/scim-bridge-client.c scim-bridge-0.4.14.MAKE.OK/client-common/scim-bridge-client.c
--- scim-bridge-0.4.14/client-common/scim-bridge-client.c	2007-06-23 12:08:09.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/client-common/scim-bridge-client.c	2008-08-11 18:07:21.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <assert.h>
 #include <errno.h>
 #include <stdlib.h>
diff -cur scim-bridge-0.4.14/client-qt/qt4/Makefile.am scim-bridge-0.4.14.MAKE.OK/client-qt/qt4/Makefile.am
--- scim-bridge-0.4.14/client-qt/qt4/Makefile.am	2007-11-07 18:57:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/client-qt/qt4/Makefile.am	2008-08-11 19:00:22.000000000 +0900
@@ -24,7 +24,7 @@
 
 noinst_HEADERS = scim-bridge-client-qt.h scim-bridge-client-imcontext-qt.h  scim-bridge-client-key-event-utility-qt.h scim-bridge-client-common-qt.h
 
-moduledir = @QT4_PREFIX@/plugins/inputmethods
+moduledir = /usr/local/lib/qt4/plugins/inputmethods
 module_LTLIBRARIES = im-scim-bridge.la
 
 im_scim_bridge_la_SOURCES = im-scim-bridge-qt.cpp \
@@ -44,7 +44,7 @@
 im_scim_bridge_la_LIBADD  = $(top_srcdir)/common/libscimbridgecommon.la \
 							$(top_srcdir)/client-common/libscimbridgeclientcommon.la
 
-MOC = @QT4_PREFIX@/bin/moc
+MOC = @QT4_PREFIX@/bin/moc-qt4
 
 CLEANFILES = moc_scim-bridge-client-qt.cpp
 
@@ -56,7 +56,8 @@
 scim-bridge-client-qt.cpp: moc_scim-bridge-client-qt.cpp
 
 moc_scim-bridge-client-qt.cpp: scim-bridge-client-qt.h
-	$(MOC) $< -o $*.cpp
+#	$(MOC) $< -o $*.cpp
+	cp /dev/null $*.cpp
 
 dist-hook:
 	-rm -f $(distdir)/moc_scim-bridge-client-qt.cpp
diff -cur scim-bridge-0.4.14/client-qt/qt4/Makefile.in scim-bridge-0.4.14.MAKE.OK/client-qt/qt4/Makefile.in
--- scim-bridge-0.4.14/client-qt/qt4/Makefile.in	2007-12-06 00:50:26.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/client-qt/qt4/Makefile.in	2008-08-11 19:05:49.000000000 +0900
@@ -106,7 +106,7 @@
 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
-CXX = @CXX@
+CXX = @CXX@ -I/usr/local/include
 CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@
@@ -302,7 +302,7 @@
 			  -I$(top_srcdir)/client-common
 
 noinst_HEADERS = scim-bridge-client-qt.h scim-bridge-client-imcontext-qt.h  scim-bridge-client-key-event-utility-qt.h scim-bridge-client-common-qt.h
-moduledir = @QT4_PREFIX@/plugins/inputmethods
+moduledir = /usr/local/lib/qt4/plugins/inputmethods
 module_LTLIBRARIES = im-scim-bridge.la
 im_scim_bridge_la_SOURCES = im-scim-bridge-qt.cpp \
 							scim-bridge-client-qt.cpp \
@@ -320,7 +320,7 @@
 im_scim_bridge_la_LIBADD = $(top_srcdir)/common/libscimbridgecommon.la \
 							$(top_srcdir)/client-common/libscimbridgeclientcommon.la
 
-MOC = @QT4_PREFIX@/bin/moc
+MOC = @QT4_PREFIX@/bin/moc-qt4
 CLEANFILES = moc_scim-bridge-client-qt.cpp
 all: all-am
 
@@ -654,7 +654,8 @@
 scim-bridge-client-qt.cpp: moc_scim-bridge-client-qt.cpp
 
 moc_scim-bridge-client-qt.cpp: scim-bridge-client-qt.h
-	$(MOC) $< -o $*.cpp
+#	$(MOC) $< -o $*.cpp
+	cp /dev/null $*.cpp
 
 dist-hook:
 	-rm -f $(distdir)/moc_scim-bridge-client-qt.cpp
diff -cur scim-bridge-0.4.14/common/intl.h scim-bridge-0.4.14.MAKE.OK/common/intl.h
--- scim-bridge-0.4.14/common/intl.h	2007-11-07 19:46:27.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/intl.h	2008-08-11 18:06:56.000000000 +0900
@@ -26,15 +26,6 @@
 #ifndef __INTL_H__
 #define __INTL_H__
 
-#ifdef ENABLE_NLS
-#  include <libintl.h>
-#  define _(String) dgettext(PACKAGE,String)
-#  ifdef gettext_noop
-#    define N_(String) gettext_noop(String)
-#  else
-#    define N_(String) (String)
-#  endif /* gettext_noop */
-#else
 #  define _(String) (String)
 #  define N_(String) (String)
 #  define textdomain(String) (String)
@@ -42,6 +33,5 @@
 #  define dgettext(Domain,String) (String)
 #  define dcgettext(Domain,String,Type) (String)
 #  define bindtextdomain(Domain,Directory) (Domain) 
-#endif /* ENABLE_NLS */
 
 #endif /* __INTL_H__ */
diff -cur scim-bridge-0.4.14/common/scim-bridge-attribute.c scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-attribute.c
--- scim-bridge-0.4.14/common/scim-bridge-attribute.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-attribute.c	2008-08-11 18:04:04.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <malloc.h>
 #include <string.h>
 
 #include "scim-bridge-attribute.h"
diff -cur scim-bridge-0.4.14/common/scim-bridge-display.c scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-display.c
--- scim-bridge-0.4.14/common/scim-bridge-display.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-display.c	2008-08-11 18:04:14.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <malloc.h>
 #include <stdlib.h>
 #include <string.h>
 
diff -cur scim-bridge-0.4.14/common/scim-bridge-key-event.c scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-key-event.c
--- scim-bridge-0.4.14/common/scim-bridge-key-event.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-key-event.c	2008-08-11 18:04:38.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <malloc.h>
 
 #include "scim-bridge-key-event.h"
 #include "scim-bridge-message-constant.h"
diff -cur scim-bridge-0.4.14/common/scim-bridge-message.c scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-message.c
--- scim-bridge-0.4.14/common/scim-bridge-message.c	2007-07-07 12:10:28.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-message.c	2008-08-11 18:04:49.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <malloc.h>
 #include <string.h>
 
 #include "scim-bridge-message.h"
diff -cur scim-bridge-0.4.14/common/scim-bridge-messenger.c scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-messenger.c
--- scim-bridge-0.4.14/common/scim-bridge-messenger.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-messenger.c	2008-08-11 18:05:01.000000000 +0900
@@ -18,7 +18,6 @@
  */
 
 #include <assert.h>
-#include <alloca.h>
 #include <errno.h>
 #include <fcntl.h>
 #include <signal.h>
diff -cur scim-bridge-0.4.14/common/scim-bridge-path.c scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-path.c
--- scim-bridge-0.4.14/common/scim-bridge-path.c	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-path.c	2008-08-11 18:04:26.000000000 +0900
@@ -17,7 +17,6 @@
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
 
-#include <alloca.h>
 #include <pwd.h>
 #include <stdio.h>
 #include <stdlib.h>
diff -cur scim-bridge-0.4.14/common/scim-bridge-string.h scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-string.h
--- scim-bridge-0.4.14/common/scim-bridge-string.h	2007-06-02 12:33:46.000000000 +0900
+++ scim-bridge-0.4.14.MAKE.OK/common/scim-bridge-string.h	2008-08-11 18:06:12.000000000 +0900
@@ -37,17 +37,10 @@
 {
 #endif
 
-#ifndef __STDC_ISO_10646__
-    /**
-     * The type for wide string.
-     */
-    typedef uint32 wchar;
-#else
     /**
      * The type for wide string.
      */
     typedef wchar_t wchar;
-#endif
 
     /**
      * Translate an utf8 string into an ucs4 wide string.
